Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1158996 (lxqt-qtplugin) - Review Request: lxqt-qtplugin - Qt plugin framework for LXQt Desktop Suite
Summary: Review Request: lxqt-qtplugin - Qt plugin framework for LXQt Desktop Suite
Keywords:
Status: CLOSED RAWHIDE
Alias: lxqt-qtplugin
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1157402
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-30 16:18 UTC by Helio Chissini de Castro
Modified: 2015-11-12 01:44 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-20 13:13:09 UTC
rdieter: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Helio Chissini de Castro 2014-10-30 16:18:59 UTC
Spec URL: https://heliocastro.fedorapeople.org/lxqt/lxqt-qtplugin.spec
SRPM URL: https://heliocastro.fedorapeople.org/lxqt/lxqt-qtplugin-0.8.0-2.fc21.src.rpm
Description: Qt plugin framework for LXQt Desktop Suite
Fedora Account System Username: heliocastro

Comment 2 Rex Dieter 2014-11-07 17:44:50 UTC
naming: ok

sources: ok
eac15139d7d0732592ac00a225ed7cfc  lxqt-qtplugin-0.8.0.tar.xz

license: ok, but could ammend to
License: LGPLv2+

macros: ok

scriptlets: ok, n/a


1. SHOULD update %files to use %_qt5_plugindir macro, instead of:
%{_libdir}/qt5/plugins/platformthemes//libqtlxqt.so
use
%{_qt5_plugindir}/platformthemes/libqtlxqt.so


another clean and simple packaging specimen, 
APPROVED

Comment 4 Helio Chissini de Castro 2014-11-12 15:00:27 UTC
New Package SCM Request
=======================
Package Name: lxqt-qtplugin
Short Description: Qt plugin framework for LXQt Desktop Suite
Upstream URL: http://lxqt.org/downloads/lxqt/0.8.0/lxqt-qtplugin-0.8.0.tar.xz
Owners: heliocastro rdieter tieugene
Branches: f20 f21 el6 epel7
InitialCC: heliocastro

Comment 5 Rex Dieter 2014-11-13 17:53:42 UTC
New Package SCM Request
=======================
Package Name: lxqt-qtplugin
Short Description: Qt plugin framework for LXQt Desktop Suite
Upstream URL: http://lxqt.org/
Owners: heliocastro rdieter tieugene
Branches: f20 f21 el6 epel7
InitialCC:

Comment 6 Gwyn Ciesla 2014-11-13 19:40:11 UTC
Git done (by process-git-requests).

Comment 7 Rex Dieter 2014-11-20 13:13:09 UTC
imported


Note You need to log in before you can comment on or make changes to this bug.